import { DialogPriority } from '../dialogs/dialog.priority';
import { ListSOP } from '../../libappsop/listsop';
import { FormSOP } from '../../libappsop/formsop';

export class FormPriorities extends FormSOP {
  public listPriority = new ListPriority();

  public constructor() {
    super('FormPriorities');
  }
}

export class ListPriority extends ListSOP<DialogPriority, ListPriorityColumn> {
  public constructor() {
    super('ListPriority', new DialogPriority());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Name: ''};
  }
}

// List Priority columns
export interface ListPriorityColumn {
  Name?: string;
  Weight?: string;
}

// List Priority context menu items
const listPriorityContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuPriority', Name: 'MenuCreate', Label: 'Create' },
};

export { listPriorityContextMenuItem as ListPriorityContextMenuItem };
